Upload document to request to client answer
import requests
url = "https://api.paywise.de/v1/mandates/{mandate_id}/requests-to-client/{request_id}/answer/documents/"
payload = { "file": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({file: '<string>'})
};
fetch('https://api.paywise.de/v1/mandates/{mandate_id}/requests-to-client/{request_id}/answer/documents/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://api.paywise.de/v1/mandates/{mandate_id}/requests-to-client/{request_id}/answer/documents/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"file\": \"<string>\"\n}")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/v1/mandates/{mandate_id}/requests-to-client/{request_id}/answer/documents/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"file\": \"<string>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request POST \
--url https://api.paywise.de/v1/mandates/{mandate_id}/requests-to-client/{request_id}/answer/documents/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"file": "<string>"
}
'{
"id": "b2c3d4e5-f6a7-5e44-9f0a-d8e9f0a1b2c3",
"href": "https://api.paywise.de/v1/mandates/5600672e-2bfa-488c-b23a-460c1dd1f833/requests-to-client/b2c3d4e5-f6a7-5e44-9f0a-d8e9f0a1b2c3/",
"mandate": {
"id": "5600672e-2bfa-488c-b23a-460c1dd1f833",
"href": "https://api.paywise.de/v1/mandates/5600672e-2bfa-488c-b23a-460c1dd1f833/",
"reference_number": "K25-8Q114"
},
"title": "Dokumente angefordert",
"description": "Wir benötigen eine Kopie der Originalrechnung zur Prüfung.",
"allowed_answer_types": "fileupload",
"file_attachments": [],
"answered": true,
"answer": {
"id": "c3d4e5f6-a7b8-6f55-0a1b-e9f0a1b2c3d4",
"text": "Anbei die angeforderten Dokumente.",
"additional_comment": null,
"files": [
{
"id": "d4e5f6a7-b8c9-0123-4567-890abcdef012",
"filename": "rechnung_RE2023001.pdf",
"mime_type": "application/pdf",
"file_size": 234567
}
],
"created": "2025-11-16T14:22:00Z"
},
"created": "2025-11-15T08:00:00Z",
"answered_at": "2025-11-16T14:22:00Z"
}mandates
Upload document to request to client answer
Upload a document file for your answer. Use this for fileupload type requests.
IMPORTANT: For fileupload type requests, upload all documents FIRST, then submit the answer.
Once the answer is submitted, no more documents can be uploaded.
Allowed file types: PDF, JPEG, PNG
Maximum file size: 10 MB
POST
/
v1
/
mandates
/
{mandate_id}
/
requests-to-client
/
{request_id}
/
answer
/
documents
/
Upload document to request to client answer
import requests
url = "https://api.paywise.de/v1/mandates/{mandate_id}/requests-to-client/{request_id}/answer/documents/"
payload = { "file": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({file: '<string>'})
};
fetch('https://api.paywise.de/v1/mandates/{mandate_id}/requests-to-client/{request_id}/answer/documents/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://api.paywise.de/v1/mandates/{mandate_id}/requests-to-client/{request_id}/answer/documents/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"file\": \"<string>\"\n}")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/v1/mandates/{mandate_id}/requests-to-client/{request_id}/answer/documents/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"file\": \"<string>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request POST \
--url https://api.paywise.de/v1/mandates/{mandate_id}/requests-to-client/{request_id}/answer/documents/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"file": "<string>"
}
'{
"id": "b2c3d4e5-f6a7-5e44-9f0a-d8e9f0a1b2c3",
"href": "https://api.paywise.de/v1/mandates/5600672e-2bfa-488c-b23a-460c1dd1f833/requests-to-client/b2c3d4e5-f6a7-5e44-9f0a-d8e9f0a1b2c3/",
"mandate": {
"id": "5600672e-2bfa-488c-b23a-460c1dd1f833",
"href": "https://api.paywise.de/v1/mandates/5600672e-2bfa-488c-b23a-460c1dd1f833/",
"reference_number": "K25-8Q114"
},
"title": "Dokumente angefordert",
"description": "Wir benötigen eine Kopie der Originalrechnung zur Prüfung.",
"allowed_answer_types": "fileupload",
"file_attachments": [],
"answered": true,
"answer": {
"id": "c3d4e5f6-a7b8-6f55-0a1b-e9f0a1b2c3d4",
"text": "Anbei die angeforderten Dokumente.",
"additional_comment": null,
"files": [
{
"id": "d4e5f6a7-b8c9-0123-4567-890abcdef012",
"filename": "rechnung_RE2023001.pdf",
"mime_type": "application/pdf",
"file_size": 234567
}
],
"created": "2025-11-16T14:22:00Z"
},
"created": "2025-11-15T08:00:00Z",
"answered_at": "2025-11-16T14:22:00Z"
}Authorizations
tokenAuthtokenAuth
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Response
201 - application/json
Main serializer for RequestToClient in the Public API. Provides full detail view for GET requests.
None- ---------yes-no- Ja/Neinyes-no-dontknow- Ja/Nein/Weiß nichtfileupload- Freitext + Dateiuploadyes-no-freetext-on-no- Ja/Nein + Freitext bei Neinyes-with-date-no-freetext-on-no- Ja + Datum / Nein + Freitextdynamic-form- Dynamisches Formular
Available options:
yes-no, yes-no-dontknow, fileupload, yes-no-freetext-on-no, yes-with-date-no-freetext-on-no, dynamic-form 